<template lang="pug">

mixin Param
  Param.col-12.col-sm-6.col-lg-4.col-xl-2&attributes(attributes)

mixin ParamReadonly
  ParamReadonly.col-12.col-sm-6.col-lg-4.col-xl-2&attributes(attributes)

.col-12
  Collapsible(:expand='true')
    template(v-slot:header)
      .row
        .col-4
          strong #[i.fa.fa-microchip] {{card.name}}
        AnimBlock.col-4
          span(v-if="sampleRate && !inEdit") {{ sampleRate }} MS/s
        AnimBlock.col-4
          span(v-if="sampleSize && !inEdit") {{ sampleSize }} KS

    .col-12
      Collapsible
        template(v-slot:header)
          strong Acquisition
        .col-12
          .row.b-param-container
            +ParamReadonly(title='Card Type'
              :inEdit='inEdit' :value="card.type")
            +ParamReadonly(title='Card Serial'
              :inEdit='inEdit' :value="card.serialNumber")
            ParamList.col-12.col-sm-6.col-lg-4.col-xl-2(ref="sampleRate" title='Sample Rate [MS/s]'
              :inEdit='inEdit' :value="sampleRate"
              :options="SampleRateValues"
              @edit='updateEditSampleSize()')
            +ParamReadonly(ref="sampleSize" title='Sample Size [KS]'
              :inEdit='inEdit' :value="sampleSize"
              type="number" :max="maxSampleSize" :min="minSampleSize"
              @edit="$refs.sampleSize.checkValidity()" )
            +Param(ref="timeWindow" title='Time Window [ms]'
              type='number' step='0.001' :max="maxEditTimeWindow" min='0'
              :inEdit='inEdit' :value="timeWindow"
              @edit='updateEditSampleSize()')
            +Param(ref="delay" title="Delay [ns]" :value="delay" :inEdit="inEdit")
    .col-12
      template(v-for='channel in card.nbChannel')
        Channel(ref='Channels' :key="getId('CHAN'+(channel-1))" @loaded='onChannelLoaded' :card="card" :channel="channel-1" :inEdit="inEdit")
</template>
<script>
export { default } from './Card.vue.js';
</script>
